## libktorrent 24.08.1

=== debian/changelog ===
libktorrent (24.08.1-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 24.08.1.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 Sep 2024 09:59:23 +0200

libktorrent (24.08.1-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Build with LTO enabled, update symbols accordingly. (Closes: #1015497)
  * Drop obsolete dh buildsystem from debian/rules, replaced by the dh-
    sequence dependency.
  * Reenable build-time tests.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 18 Sep 2024 23:28:09 +0200

libktorrent (24.08.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Adapt packaging to new libKTorrent6 library, drop ABI manager for this new
    library.
  * Add missing build dependency on kconfig and kcoreaddons.
  * Switch from transitional pkg-config to pkgconf build dependency.
  * Switch build to dh-sequence-kf6 sequence.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 15 Sep 2024 09:34:48 +0200
