## libktorrent 24.12.0

=== debian/changelog ===
libktorrent (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 24.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:22:57 +0100

libktorrent (24.08.1-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Nov 2024 21:07:56 +0100
