=== cmake/CMakeLists.txt ===
install(FILES
    FindLibGMP.cmake
    FindLibGcrypt.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)
