## libktorrent 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 cmake_policy(SET CMP0057 NEW)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 
@@ -61,8 +61,6 @@
     Test
 )
 
-find_package(Qt6Core5Compat REQUIRED)
-
 # Load the frameworks we need
 find_package(KF6 "${KF_MIN_VERSION}" REQUIRED COMPONENTS
     Archive
@@ -72,7 +70,7 @@
     Solid
 )
 
-find_package(Boost "${Boost_MIN_VERSION}" MODULE REQUIRED)
+find_package(Boost "${Boost_MIN_VERSION}" NO_MODULE REQUIRED)
 find_package(LibGMP "${LibGMP_MIN_VERSION}" REQUIRED)
 find_package(LibGcrypt "${LibGcrypt_MIN_VERSION}" REQUIRED)
 
@@ -80,7 +78,7 @@
 add_definitions(
   -DQT_USE_QSTRINGBUILDER
   -DQT_NO_CAST_TO_ASCII
-#   -DQT_NO_CAST_FROM_ASCII
+  -DQT_NO_CAST_FROM_ASCII
   -DQT_STRICT_ITERATORS
   -DQT_NO_URL_CAST_FROM_STRING
   -DQT_NO_CAST_FROM_BYTEARRAY
