=== debian/changelog ===
libktorrent (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 25.04.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 16:40:57 +0200

libktorrent (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update symbols from build for 25.04.0.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:02:29 +0200
