## libktorrent 25.04.3

=== debian/changelog ===
libktorrent (25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 02 Sep 2025 18:09:29 +0200
