=== src/utp/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(localwindowtest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(remotewindowtest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(connectiontest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(sendtest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(connecttest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(transmittest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(packetlosstest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(fintest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(sockettest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(utppolltest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(delaywindowtest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
ecm_add_test(packetbuffertest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
