=== examples/ktcli/CMakeLists.txt ===
add_executable(ktcli)

target_sources(ktcli PRIVATE
    ktcli.cpp
    main.cpp
)

target_link_libraries(ktcli KTorrent6)
