=== src/datachecker/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(datacheckertest.cpp LINK_LIBRARIES testlib KTorrent6 Qt6::Test)
