=== src/mse/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(rc4encryptortest.cpp LINK_LIBRARIES KTorrent6 Qt6::Test)
