## libktorrent 25.08.2+p24.04+vstable+git20251015.1233

=== debian/changelog ===
libktorrent (25.08.2+p24.04+vstable+git20251015.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:33:24 +0000

libktorrent (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:49:10 +0000
