=== src/magnet/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(magnetlinktest.cpp LINK_LIBRARIES testlib KTorrent6 Qt6::Test)
