=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libktorrent
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libboost-dev (>= 1.71.0~),
@@ -19,17 +20,18 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6solid-dev (>= 5.240.0~),
+               libssl-dev,
                pkg-kde-tools,
                pkgconf,
                qt6-5compat-dev,
                qt6-base-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://invent.kde.org/network/libktorrent
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libktorrent.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libktorrent
+Homepage: https://www.kde.org/applications/internet/ktorrent/
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libktorrent
 
 Package: libktorrent6-6
 Architecture: any
