## libktorrent 25.08.3+p24.04+vstable+git20251204.0902

=== debian/changelog ===
libktorrent (25.08.3+p24.04+vstable+git20251204.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 09:02:15 +0000

libktorrent (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:10 +1000
