=== debian/changelog ===
libktorrent (25.08.3+p24.04+vunstable+git20251123.1236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:36:47 +0000
