## libktorrent 25.08.3+p24.04+vunstable+git20251128.0750

=== debian/changelog ===
libktorrent (25.08.3+p24.04+vunstable+git20251128.0750-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 07:50:13 +0000
